SCIM API

System for Cross-domain Identity Management (v2.0)

GoFormz supports SCIM, or System for Cross-domain Identity Management, an open standard that allows you to automate user provisioning using a REST API and JSON. The GoFormz SCIM API follows version 2.0 of the SCIM protocol.

For more information, visit our ServiceProviderConfigs endpoint on what is supported.

📘

Authentication

The SCIM API uses the same Basic authentication as the GoFormz REST API. Use the same credentials for both. See authentication for setup details.

User Endpoints

For additional information on what is supported, visit our User Schema endpoint.

PurposeAPINotes
Get UsersGET /scim/v2/Users

Return a list of users and with a 200 status code if successful.

Supports:
  • filtering by username, e.g.. 'username eq {username}'
  • filtering for pending users
  • pagination
Each user in the response includes:
  • active — whether the user is enabled (true/false)
  • lastLoginDate— date and time of the user's most recent login; null if the user has never logged in
  • userState — the user's account state
Get User DetailsGET /scim/v2/Users/{id}Returns details of a user with the given {id} and with a 200 status code if successful.
Update UserPUT /scim/v2/Users/{id}Update supported user details:
  • Username
  • Firstname
  • Lastname
  • Phone Number
  • Active (use for deactivating/reactivating a user)
    Returns a 200 status code if successful.
Create UserPOST /scim/v2/Users

Password is optional

Returns a new user with a 201 status code if successful.

Groups Endpoints

For additional information on what is supported, visit our Group Schema endpoint.

PurposeAPINotes
Get Groups (and Members)GET /scim/v2/Groups

Returns a list of groups and all members, with a 200 status code if successful.

Supports:
  • filtering by displayname, ie. 'displayname eq {displayname}'
  • pagination
Get Group Details (and Members)GET /scim/v2/Groups/{id}Returns details of a group with a given {id} and all members, with a 200 status code if successful.
Update Group (and Members)PUT /scim/v2/Groups/{id}Update supported group details:
  • Display Name
  • Members— active and pending users can both be added
Returns a 200 status code if successful.
Create GroupPOST /scim/v2/GroupsReturns a new group with a 201 status code if successful.
Delete GroupDELETE /scim/v2/Groups/{id}Returns a 204 status code and not content if successful.